package com.yc.education.service.impl;

import com.yc.education.model.Productclassify;
import com.yc.education.service.ProductclassifyService;
import org.springframework.stereotype.Service;

/**
 * huangpan
 * 2019/10/8
 * energy
 */
@Service
public class ProductclassifyServiceImpl  extends BaseService<Productclassify> implements ProductclassifyService {
   /* @Autowired
    ProductclassifyMapper productclassifyMapper;

    @Override
    public List<Productclassify> selAllPclassify(Integer id, String pName, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        return productclassifyMapper.selAllPclassify(id, pName );
    }

    @Override
    public Productclassify selectPclassifyById(Integer id) {
        return productclassifyMapper.selectPclassifyById(id);
    }

    @Override
    public int countPclassify(Integer id) {
        return productclassifyMapper.countPclassify(id);
    }

    @Override
    public void deletePclassifyById(Integer id) {
        productclassifyMapper.deleteByPrimaryKey(id);
    }

    @Override
    public List<Productclassify> getProductclassify() {
        return productclassifyMapper.getProductclassify();
    }

    @Override
    public int getPclassifyById() {
        return productclassifyMapper.getPclassifyById();
    }

    @Override
    public List<Productclassify> getProductById(Integer id) {
        return productclassifyMapper.getProductById(id);
    }

    @Override
    public List<Productclassify> getProduct() {
        return productclassifyMapper.getProduct();
    }*/
}
